Name:			raine
Version:		0.51.11
Release:		%mkrel 1

%define build_optimization 0
%{?_with_optimization: %{expand: %%global build_optimization 1}}

Summary:	An arcade emulator
License:	Freeware
#i.e: "Raine license", open-source freeware, distributable
Group:		Emulators
URL:		http://rainemu.swishparty.co.uk/
Source0:	http://rainemu.swishparty.co.uk/htmlarchive/%{name}s-%{version}.tar.bz2
Source1:	http://rainemu.swishparty.co.uk/html/archive/icons.zip
Source2:	http://rainemu.swishparty.co.uk/html/archive/rainedocs.zip
Source3:	http://rainemu.swishparty.co.uk/html/archive/raine.pdf
# From 0.50.6
Source4:	shots.pl
Source5:	http://www.arcade-history.com/dats/mamehistory137.7z
Source6:	raine-neocd-cheats.tar.gz
Source7:	hiscore.7z
# free rom
Source10:	http://www.rainemu.com/html/archive/f2demo.zip
Source11:	http://www.rainemu.com/html/archive/f3demo.zip

# emudx sources from : http://www.rainemu.com/html/archive/emudx/
# to add an emudx file :
# add its basename to the emudx_sources list below 
%define emudx_sources "dkongg dkongm froggerg froggerm galdxg galdxm\
 mspacmang pacmang"
#mspacmanm pacmanm
# this generates Source1xx tags (400 max)
%(echo %{emudx_sources} | awk 'BEGIN { RS=" "; n=0 }; { print "Source"100+n":\t"$1".dx2"; n++ };')
# this generates the list of emudx files for the install step
%define emudx_files %(echo %{emudx_sources} | awk 'BEGIN { RS=" "; files="" }; { files=files" %{_sourcedir}/"$1".dx2"}; END { print files };')

# artwork sources from : http://www.rainemu.com/html/download/extras.html
# to add an artwork archive :
# add its basename to the artwork_sources list below
%define artwork_sources "1941 19xx arbalest arkanoid arknoid2 batrider\
 bjtwin block darius2 ddonpach dfeveron dkong dogyuun donpachi downtown\
 driftout extrmatn fireshrk frogger ghoulsu gunbird majest12 matmania\
 mercs msh mspacman msword ninjaw outzone pacman pacplus pengo puckman\
 s1945 sf2ce slammast ssi superman tdragon terracre thunderl tknight\
 tndrcade varth vimana warriorb xmcota"
# this generates Source5xx tags
%(echo %{artwork_sources} | awk 'BEGIN { RS=" "; n=0 }; { print "Source"500+n":\t"$1".zip"; n++ };')
# this generates the list of artwork files for the install step
%define artwork_files %(echo %{artwork_sources} | awk 'BEGIN { RS=" "; files="" }; { files=files" %{_sourcedir}/"$1".zip"}; END { print files };')

BuildRequires:	SDL-devel
#BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_sound-devel
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_ttf-devel
BuildRequires:	png-devel
BuildRequires:	muparser-devel
BuildRequires:	ElectricFence-devel
BuildRequires:	nasm
BuildRequires:	perl
BuildRequires:	p7zip
#for the converter
BuildRequires:	allegro-devel
BuildRequires:	desktop-file-utils
BuildRoot:	%{_tmppath}/%{name}-%{version}

ExclusiveArch:	%ix86

Obsoletes:	raine-snapshots

%description
Raine is an emulator, it emulates some M68000 and M68020 arcade games
and is mainly focused on Taito and Jaleco games hardware.

%package artwork
Summary:	Artwork for Raine
Group:		Emulators
Requires:	raine

%description artwork
Artwork for Raine. These files are pictures used mainly to fill the ugly 
black borders in vertical games.

%package emudx2
Summary:	Files to enhance emulation of old arcade games in raine
Group:		Emulators
Requires:	raine
Obsoletes:	raine-emudx
Provides:	raine-emudx

%description emudx2
Files to enhance emulation of old arcade games.
Donkey Kong, Frogger, Galaxian, Pac-Man and Ms. Pac-Man are suported.

It requires the roms to be enhanced and the raine emulator.

%package neocd
Summary:	NeoRaine - raine version with support for NeoGeo CD
Group:		Emulators
Requires:	raine
Provides:	neoraine 

%description neocd
NeoRaine is a modified raine version with support for NeoGeo CD.
You'll need neocd.bin (or neocd.zip), which is the neocd bios to be in the 
(neo)raine's data directory : %{_gamesdatadir}/raine
So it depends on raine for now.

You may find other interesting information on 
http://www.rainemu.com/html/download/neoraine.html

%prep
%setup -q
%setup -q -n raine-%{version} -T -D -a 1 -a 2 -a 6
perl -pi -e "s|NEO=1|#NEO=1|g" makefile
cp -p %{_sourcedir}/raine.pdf %{_sourcedir}/shots.pl .
7za x %{_sourcedir}/mamehistory137.7z
7za x -y %{_sourcedir}/hiscore.7z

%build
%if !%build_optimization
 rm -f cpuinfo
 echo "_MARCH=-march=i586 -mtune=pentiumpro" > cpuinfo
 echo "CPU=pentiumpro" >> cpuinfo 
%else
 rm -f cpuinfo
%endif
export OSTYPE
make %{?_smp_mflags}
make converter
#neoraine
make %{?_smp_mflags} NEO=1

%install
rm -rf %{buildroot}
%makeinstall_std VERBOSE=1

#savegame converter
install -D -m 755 converter %{buildroot}%{_gamesbindir}/raine-savegame-converter

#history
install -D -m 644 history.dat %{buildroot}%{_gamesdatadir}/raine/history.dat

#icons
install -D -m 644 Raine48x48.png %{buildroot}%{_liconsdir}/raine.png
install -D -m 644 Raine32X32.png %{buildroot}%{_iconsdir}/raine.png
install -D -m 644 Raine16X16.png %{buildroot}%{_miconsdir}/raine.png

#menu
desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-MoreApplications-Emulators" \
  --dir %{buildroot}%{_datadir}/applications/ \
  %{buildroot}%{_datadir}/applications/*

#artwork
mkdir -p %{buildroot}%{_gamesdatadir}/raine/artwork
#install -d -m 755 %{buildroot}%{_gamesdatadir}/raine/artwork
install -m 644 %{artwork_files} %{buildroot}%{_gamesdatadir}/raine/artwork

#emudx
install -d -m 755 %{buildroot}%{_gamesdatadir}/raine/emudx
install -m 644 %{emudx_files} %{buildroot}%{_gamesdatadir}/raine/emudx

#neoraine
%makeinstall_std NEO=1

%files
%defattr(0644,root,root,0755)
%doc raine.txt raine.pdf raine.lyx shots.pl
%attr(0755,root,root) %{_gamesbindir}/raine
%attr(0755,root,root) %{_gamesbindir}/raine-savegame-converter
%dir %{_gamesdatadir}/raine
%{_gamesdatadir}/raine/cheats.cfg
%{_gamesdatadir}/raine/hiscore.dat
%{_gamesdatadir}/raine/history.dat
%{_gamesdatadir}/raine/bitmaps
%{_gamesdatadir}/raine/fonts
%{_gamesdatadir}/raine/roms
%{_iconsdir}/raine.png
%{_miconsdir}/raine.png
%{_liconsdir}/raine.png
%{_datadir}/pixmaps/raine.png
%{_datadir}/applications/raine.desktop

%files artwork
%defattr(0644,root,root,0755)
%doc raine.txt
%{_gamesdatadir}/raine/artwork

%files emudx2
%defattr(0644,root,root,0755)
%doc raine.txt
%{_gamesdatadir}/raine/emudx

%files neocd
%defattr(0644,root,root,0755)
%doc raine.txt
%attr(0755,root,root) %{_gamesbindir}/neoraine
%{_gamesdatadir}/raine/neocheats.cfg
#{_gamesdatadir}/raine/scripts/neocd
%{_datadir}/pixmaps/neoraine.png
%{_datadir}/applications/neoraine.desktop

%clean
rm -rf %{buildroot}




%changelog
* Wed Aug 03 2011 Andrey Bondrov <abondrov@mandriva.org> 0.51.11-1
+ Revision: 692967
- imported package raine


* Tue May 11 2010 Guillaume Bedot <littletux@zarb.org> 0.51.9-1plf2010.1
- 0.51.9 (neoraine 1.2.11)
- fix menu, summary

* Wed Mar 24 2010 Guillaume Bedot <littletux@zarb.org> 0.51.8-1plf2010.1
- 0.51.8 (neoraine 1.2.10)

* Mon Jan 11 2010 Guillaume Bedot <littletux@zarb.org> 0.51.7-2plf2010.1
- 0.51.7-2 (neoraine 1.2.9)

* Thu Dec 24 2009 Guillaume Bedot <littletux@zarb.org> 0.51.7-1plf2010.1
- 0.51.7 (neoraine 1.2.8)
- dropped merged patch
- updated history and hiscore dats

* Fri Sep  4 2009 Guillaume Bedot <littletux@zarb.org> 0.51.6-1plf2010.0
- 0.51.6 (neoraine 1.2.7)

* Sat Apr 18 2009 Guillaume Bedot <littletux@zarb.org> 0.51.5-1plf2009.1
- 0.51.5 (neoraine 1.2.6)

* Wed Jan 21 2009 Guillaume Bedot <littletux@zarb.org> 0.50.17-1plf2009.1
- 0.50.17 (neoraine 1.2.1)

* Fri Jan  9 2009 Guillaume Bedot <littletux@zarb.org> 0.50.16-1plf2009.1
- 0.50.16 (neoraine 1.2.0)

* Fri Aug 15 2008 Guillaume Bedot <littletux@zarb.org> 0.50.15-1plf2009.0
- 0.50.15 (neoraine 1.1.6)

* Thu Jun 26 2008 Guillaume Bedot <littletux@zarb.org> 0.50.14-1plf2009.0
- 0.50.14
- changed artwork and emudx sources and install handling
- rpm spec policy proposal changes
- drop old menu

* Thu May 29 2008 Guillaume Bedot <littletux@zarb.org> 0.50.13-1plf2009.0
- 0.50.13 (neoraine 1.1.5)
- add missing neocd cheats
- history.dat 0.125

* Thu Apr 17 2008 Guillaume Bedot <littletux@zarb.org> 0.50.12-1plf2008.1
- 0.50.12 (neoraine 1.1.4)
- build requires

* Tue Mar 18 2008 Guillaume Bedot <littletux@zarb.org> 0.50.11-1plf2008.1
- 0.50.11 (neoraine 1.1.3)

* Fri Mar 14 2008 Guillaume Bedot <littletux@zarb.org> 0.50.10-1plf2008.1
- 0.50.10 (neoraine 1.1.2)

* Wed Mar 12 2008 Guillaume Bedot <littletux@zarb.org> 0.50.9-1plf2008.1
- 0.50.9 (neoraine 1.1.1)

* Fri Mar  7 2008 Guillaume Bedot <littletux@zarb.org> 0.50.8-1plf2008.1
- raine 0.50.8
- neoraine 1.1.0
- also provide "neoraine"
- history.dat update
- build requires

* Sun Feb  3 2008 Guillaume Bedot <littletux@zarb.org> 0.50.7-2plf2008.1
- Fix build requires

* Mon Jan 28 2008 Guillaume Bedot <littletux@zarb.org> 0.50.7-1plf2008.1
- 0.50.7
- introduced raine-neocd (= neoraine 1.0.5)
- mame history update
- buildreq fixes

* Sun Jul 29 2007 Guillaume Bedot <littletux@zarb.org> 0.50.5-1plf2008.0
- 0.50.5

* Tue May 15 2007 Guillaume Bedot <littletux@zarb.org> 0.50.4-1plf2008.0
- 0.50.4
- description updates

* Fri Apr 13 2007 Guillaume Bedot <littletux@zarb.org> 0.50.3-1plf2007.1
- 0.50.3
- old saved games (<0.50.0) can be migrated with raine-savegame-converter
- raine has now his own history.dat
- dropped the wrapper, bigfont.dat (no more used), snapshots subpackage (low 
 res, no more wanted)
- but added a tool to download new screenshots (in doc dir) :
 use it from ~/.raine
- emudx2.

* Tue Aug 22 2006 Guillaume Bedot <littletux@zarb.org> 0.43.4-1plf2007.0
- 0.43.4

* Fri Jul 19 2006 Guillaume Bedot <littletux@zarb.org> 0.43.3-3plf2007.0
- fix builrequires, space instead of tabs

* Thu Jun 15 2006 Guillaume Bedot <littletux@zarb.org> 0.43.3-2plf2007.0
- Added patch3 for optflags in cooker / 2007 (0.43.3 needs -O1 in cooker)
- Dropped useless patch2
- Changed a bit cpuinfo (_MARCH) with default build
- XDG menu

* Sun May 28 2006 Guillaume Bedot <littletux@zarb.org> 0.43.3-1plf
- 0.43.3
- Use standard mkrel
- Dropped obsolete patch10
- Buildrequires libpng devel

* Thu Sep 22 2005 Guillaume Bedot <littletux@zarb.org> 0.43.2-2plf
- removed KNOWN_BUGS file
- require allegro 4.2

* Thu Sep 22 2005 Guillaume Bedot <littletux@zarb.org> 0.43.2-1plf
- new release

* Mon Sep 19 2005 Guillaume Bedot <littletux@zarb.org> 0.43.1-2plf
- reup

* Sun Sep 18 2005 Guillaume Bedot <littletux@zarb.org> 0.43.1-1plf
- new release
- added subpackage with artwork
- use mkrel
- fixed rom files listed twice
- fixed build requires
- updated patch 10.

* Tue Jul 26 2005 Guillaume Bedot <littletux@zarb.org> 0.42.4-3plf
- Build with new allegro-testing ( 4.2.0 beta4 )
- force build with gcc 3.3 (otherwise there are speed limit issues)
- (Patch10: fixes to build with gcc4)

* Thu Apr 14 2005 Guillaume Bedot <littletux@zarb.org> 0.42.4-2plf
- Rebuilt against allegro-testing to fix a bug
- Renamed README.urpmi into KNOWN_BUGS

* Sun Apr 03 2005 Guillaume Bedot <littletux@zarb.org> 0.42.4-1plf
- Release 0.42.4
- README.urpmi to help workaround an annoying bug with rom dirs config in 
 the gui

* Thu Dec 09 2004 Guillaume Bedot <littletux@zarb.org> 0.42.3-1plf
- Release 0.42.3
- Added free f2demo rom for testing purposes.

* Sat Nov 27 2004 Guillaume Bedot <littletux@zarb.org> 0.42.2-1plf
- Release 0.42.2 (adds CPS-2 support:)
- Fixes compiling with stable allegro, and more

* Thu Sep  9 2004 Guillaume Bedot <littletux@zarb.org> 0.41.1-1plf
- New release 0.41.1 - now DX files should work.

* Tue Sep  7 2004 Guillaume Bedot <littletux@zarb.org> 0.41.0-1plf
- New release 0.41.0 - dropped svgalib makefile patch (now included)

* Wed Sep  1 2004 Guillaume Bedot <littletux@zarb.org> 0.40.5-1plf
- New release 0.40.5

* Mon Jun 14 2004 Guillaume Bedot <littletux@zarb.org> 0.40.4-1plf
- New release 0.40.4

* Tue Jun 08 2004 Guillaume Bedot <littletux@zarb.org> 0.40.3-1plf
- New release 0.40.3
- Optional optimization ("--with optimization")

* Wed Apr 14 2004 Guillaume Bedot <littletux@zarb.org> 0.40.0-1plf
- Updated to 0.40.0
- Default build optimized for pentiumpro and not pentium

* Sat Jan 03 2004 Guillaume Bedot <guillaume.bedot@wanadoo.fr> 0.38.1-1plf
- Updated to 0.38.1
- Updated directory for history.dat to sync with xmame/mess 0.77.1 package

* Sat Apr 12 2003 Guillaume Bedot <guillaume.bedot@wanadoo.fr> 0.37.3-1plf
- Re-packed for PLF

* Sat Apr  5 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.37.3-0.fdr.1
- Update to current Fedora guidelines.

* Wed Feb 12 2003 Ville Skyttä <ville.skytta at iki.fi> - 0.37.3-1.fedora.1
- First Fedora release.
